Subject: bug#37005: Add ability of modifying connection before full installation

From: Josselin Poiret <[email-masked]>
Date: Sat, 08 Oct 2022 20:30:45 +0200

Hello Simon,
zimoun <[email-masked]> writes:

> Hi installer team, :-)
>
> Well, the question is: does you think it is doable to add some network
> configuration (if it is not already the case) in the installer?
>
> User could set some IP, DNS, Gateway and friends before or after network
> checking or automatic configuration.

That would be totally doable, we use connman in the installer through
its CLI and it has configuration options along those lines.  Although I
wish we could use guile-netlink instead, but that'd require a
non-trivial rewrite.  I'll have a look later to see if I can add that.

Best,
-- 
Josselin Poiret